<?php

/*
 
 Website Baker Project <http://www.websitebaker.org/>
 Copyright (C) 2004-2007, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

// Help file in Swedish
?>
<h3>Hjlp fr Bokmrke Modulen</h3>

<p>Denna fil innehller hjlp om de olika valen i Bokmrke modulen. Bokmrke modulen ger dig mjlighet att visa en lista av bokmrken p din Website Baker webbplats. Som du kan lsa nedan s r denna modul flexibel och det som visas kan underhllas via dessa instllningar.</p>

<p>Hjlpen r indelad i 3 sektioner: <a href="#main_settings"><?php echo $BMTEXT['MNSETTINGS']; ?></a>, <a href="#layout_settings"><?php echo $BMTEXT['LTSETTINGS']; ?></a> och <a href="#changelog">Changelog</a>. Information om detta beskrivs nedan.</p>
<a name="main_settings"></a><h4><?php echo $BMTEXT['MNSETTINGS']; ?></h4>
<p>Denna sektion innehller obligatoriska flt som behvs fr att denna modul ska fungera korrekt.</p>
<ul>
	<li><code><?php echo $BMTEXT['PIC_LOC']; ?></code> - Detta r skvgen till dr bilderna (<i>som anvnds till dins bokmrken</i>) finns sparade.</li>
	<li><code><?php echo $BMTEXT['COLUMS']; ?></code> - Med detta val s kan du specificera antalet kolumner som ska visas. Funktionen fungerar enligt fljande. Nr du stter vrdet till exempelvis 4 kommer fltet '<?php echo $BMTEXT['BMLOOP']; ?>' att repiteras 4 gnger innan '<?php echo $BMTEXT['BMFOOTER']; ?>' och '<?php echo $BMTEXT['BMHEADER']; ?>' kommer att laddas in igen p sidan.</li>
	<li><code><?php echo $BMTEXT['SORT_GRP_BY']; ?></code> - Hr kan du specificera om grupper ska sorteras efter namn eller ordning i databasen.</li>
	<li><code><?php echo $BMTEXT['SORT_NOGRP_BY']; ?></code> - Hr kan du specificera om ogrupperade ska sorteras efter namn eller ordning i databasen.</li>
</ul>

<a name="layout_settings"></a><h4><?php echo $BMTEXT['LTSETTINGS']; ?></h4>
<p>Med valen nedan kan du modifiera utseendet p de olika sektioner som finns i Bokmrke modulen.</p>
<ul>
	<li><code><?php echo $TEXT['HEADER']; ?></code> - Detta flt kommer att laddas in p Bokmrke sidan frst. Du kan anvnda den fr att inkludera introduktions text eller fr s kallade stilmallar element.</li>
	<li><code><?php echo $TEXT['FOOTER']; ?></code> - Detta flt kommer att laddas in p Bokmrke sidan sist. Du kan anvnda den fr exempelvis slut text.</li>
	<li><code><?php echo $BMTEXT['GPHEADER']; ?></code> - Detta flt laddas in frst fr varje grupp som pbrjas.</li>
	<li><code><?php echo $BMTEXT['GPLOOP']; ?></code> - Detta visas fr varje grupp huvud. Inom detta flt s kan du anvnda fljande tillval:
		<ul>
			<li><code>[NROFCOLUMNS]</code> - Detta returnerar antalet kolumner (<i>som specificerades i huvud instllnings sektionen</i>). Du kan anvnda den fr exempelvis hur kolumnspannet i en tabell cell ska se ut.</li>
			<li><code>[GROUPTITLE]</code> - Detta flt returnerar aktuell grupp titel eller namn.</li>
		</ul>
	</li>
	<li><code><?php echo $BMTEXT['GPFOOTER']; ?></code> - Detta flt kommer att laddas fr varje grupp i slutet.</li>
	<li><code><?php echo $BMTEXT['BMHEADER']; ?></code> - Detta r Bokmrke huvudet. Den kommer att laddas in nr en Bokmrke visning startar eller nr tilltet antalet kolumner har nts.</li>
	<li><code><?php echo $BMTEXT['BMLOOP']; ?></code> - Detta r huvud delen. Med detta flt kan du modifiera utseendet p Bokmrke visningen. I detta flt har du fljande tillval:
		<ul>
			<li><code>[BMURL]</code> - URL fr Bokmrke</li>
			<li><code>[BMTARGET]</code> - Detta flt anger ml fr lnken. Valen r: <code> target="_self" </code> eller <code> target="_blank" </code></li>
			<li><code>[BMTITLE]</code> - Detta flt anger titel eller beskrivning fr lnken. Du kan anvnda denna fr exempelvis titel attribut fr ett ankar element.</li>
			<li><code>[BMVALUE]</code> - Detta flt anger antingen text/namn fr lnken eller anger det img element nr valet har specificerats att vara lnk till en bild lnk.</li>
			<li><code>[BMDESCRIPTION]</code> - Detta flt anger informationen som har skrivits in i '<?php echo $BMTEXT['ABOUTBM']; ?>' fltet.</li>
		</ul>
	</li>
	<li><code><?php echo $BMTEXT['BMFOOTER']; ?></code> - Detta r Bokmrke foten. Detta kommer att visas nr Bokmrke visning slutar eller nr tilltet antalet kolumner har ntts.</li>
</ul>